Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002196KdenliveTransitionspublic2011-06-27 00:252011-11-01 18:56
ReporterAlexK 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002196: Audio crackles on clip transition then affect following transitions, but not prior transitions, render + project
DescriptionSome combo of effect and/or transition is introducing audio crackles, both on playback and after rendering. What is curious is that:
1 There is no crackling on the audio before a specific section of the project
2 Crackles begin with transition to a specific section-of-clip
3 After that section, *every* transition from one clip to another suffers a burst of crackles.
4 Muting audio on that track removes all crackles for that section, but crackles-on-transition continue.

The combo of effects & transitions is a touch complex at the point that the problem occurs, so I have attached a screenshot of the project with the specific section indicated.The Project Monitor is at the beginning of the clip that (it seems) initiates the crackling. That clip is easily identified, as it is the only clip on Audio track 2.
Steps To Reproduce1 Set up the sequence as screenshot.
2 Play in project or render
Additional Information    $ 20110622/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit 2bd90c13a04fddddc4379688eab6b6132aabe933 Date: Wed Jun 22 12:41:17 2011 -0400
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit 81ef892ca8a85f0ab6058a3ed40c05a82a151ba5 Date: Wed Jun 22 21:42:09 2011 +0200
mlt: commit 49051c31a9887b96e6868449fd544b237c9943ae Date: Tue Jun 21 21:55:49 2011 -0700
kdenlive: Revision: 5725 Last Changed Date: 2011-06-20 22:08:09 +0100 (Mon, 20 Jun 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5725)
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filespng file icon crackles.png [^] (457,813 bytes) 2011-06-27 00:25
? file icon ei intro.kdenlive [^] (49,499 bytes) 2011-06-27 11:00

- Relationships

-  Notes
(0006961)
j-b-m (administrator)
2011-06-27 08:12

can you please attach your .kdenlive project file here? I need to check if something was corrupted in the xml...
(0006963)
j-b-m (administrator)
2011-06-27 13:13

There was a bug in the way video clips turned into audio were handled. I just committed a fix in svn rev. 5735.

To fix your project, please delete the audio clip on last track (audio2), and add a normal copy of the clip (drag from project tree) to replace it.

Or upgrade to latest svn and do a copy/paste from another instance of the clip.
(0006967)
AlexK (reporter)
2011-06-28 03:00

Latest SVN has crashed at 100%
Am trudging through fix & will add separate bug report, then report back on whether latest fix works.
(0006969)
AlexK (reporter)
2011-06-28 04:48

Have completed compilation successfully & made bug reports.

Want to be able to get this marked `closed', but am now suffering from my inexperience with kdenlive. Existing project suffers same problem within latest SVN as old. I do not know precisely how to "copy/paste from another instance of the clip".

I cannot find the way to discover precise begin/start parameters for problematic section of clip (`Monitor | Loop selected clip' knows but is not letting on to me). I need to know that before I delete the existing clip.

If I try to `Add clip' I get the warning that I am about to load the same file as an existing clip (`BackgroundClip 01.avi').

Help!

If all else fails I shall examine the xml, but for now am defeated. I should have thought that it would be easily accessible from the GUI.
(0006971)
j-b-m (administrator)
2011-06-28 10:24

To copy / paste a clip:

1 - Select the clip in timeline
2 - Copy it (right click with mouse and select "Copy", or press Ctrl+C)
3 - Paste it (move your mouse to the wanted place and right click with mouse and select "Paste", or press Ctrl+V)

By "Adding the clip", I meant simply drag it from the Project tree to timeline

To find the in/out points for a clip in timeline, double click on it in timeline or Right click with mouse and select "Edit duration"
(0006977)
AlexK (reporter)
2011-06-28 19:07

"To find the in/out points for a clip in timeline, double click on it in timeline or Right click with mouse and select "Edit duration""
d/click: response: `cannot edit an item in a group'
r/click: response: `cannot edit an item in a group'

(it's not grouped; the audio has been split)

By choosing `Ungroup', I was able to follow your suggestions (!WARNING! this is a one-way action, just like `Split audio').
(0006978)
AlexK (reporter)
2011-06-28 19:25

Your edits have fixed the original issue, and this bug may be marked as closed.

1 Remove bad section.
2 Paste from clip
3 Edit to original parameters
4 Split audio & add Volume effect

No crackles, hooray! (and many, many thanks for your prompt efforts & patience).

Sadly for me, crackle bursts still occur at each transition following the original bad section. I'll try replacing each dissolve.

It would also be excellent if `Split audio' could be boolean rather than a non-reversible operation...

- Issue History
Date Modified Username Field Change
2011-06-27 00:25 AlexK New Issue
2011-06-27 00:25 AlexK File Added: crackles.png
2011-06-27 08:12 j-b-m Note Added: 0006961
2011-06-27 08:12 j-b-m Assigned To => j-b-m
2011-06-27 08:12 j-b-m Status new => feedback
2011-06-27 11:00 AlexK File Added: ei intro.kdenlive
2011-06-27 13:13 j-b-m Note Added: 0006963
2011-06-28 03:00 AlexK Note Added: 0006967
2011-06-28 03:00 AlexK Status feedback => assigned
2011-06-28 04:48 AlexK Note Added: 0006969
2011-06-28 10:24 j-b-m Note Added: 0006971
2011-06-28 19:07 AlexK Note Added: 0006977
2011-06-28 19:25 AlexK Note Added: 0006978
2011-07-05 13:16 j-b-m Status assigned => resolved
2011-07-05 13:16 j-b-m Fixed in Version => 0.8.2
2011-07-05 13:16 j-b-m Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker